// pages/workBench/components/account/index.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    onParkFocus(e) {
      this.setData({
        show: true,
        title: "园区",
        type: 'park'
      })
    },
    onTenementFocus(e) {
      const { park } = this.data;
      if (!park) {
        alertInfo("请先选择园区")
        return;
      }
      this.setData({
        show: true,
        title: "商户",
        type: 'tenement'
      })
    },
    onConfirm(e) {
      const { type, data } = e.detail;
      switch(type) {
        case "park":
          this.setData({
            park: data.id,
            parkName: data.name,
            show: false,
          })
          break;
        case "tenement":
          this.setData({
            tenement: data.id,
            tenementName: data.name,
            show: false,
          })
          break;
      }
    },
    handleDelete(e) {
      const {} = e;
      wx.showModal({
        title: '提示',
        content: '确认要移除该用户吗？',
        complete: (res) => {
          if (res.cancel) {
            
          }
      
          if (res.confirm) {
            
          }
        }
      })
    },
    async init() {
      const { tenementName } = this.data;
      const { code, message, data } = await 
    }
  }
})